[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| ClusterImportanceVisitor |

`#include <vigra/random_forest/rf_algorithm.hxx>`

Inheritance diagram for ClusterImportanceVisitor:

List of all members.

## Public Member Functions
template<class RF, class PR, class SM, class ST>
void | after_tree_ip_impl (RF &rf, PR &pr, SM &sm, ST &st, int index)
template<class RF, class PR, class SM, class ST>
void | visit_after_tree (RF &rf, PR &pr, SM &sm, ST &st, int index)
template<class RF, class PR>
void | visit_at_beginning (RF const &rf, PR const &pr)
template<class RF, class PR>
void | visit_at_end (RF &rf, PR &pr)
## Public Attributes
MultiArray< 2, double > | cluster_importance_
MultiArray< 2, double > | cluster_stdev_
MultiArray< 2, int > | variables

## Detailed Description

calculate Cluster based permutation importance while learning. (RandomForestVisitor)

## Member Function Documentation

template<class RF, class PR, class SM, class ST>
void after_tree_ip_impl | ( | RF & | rf,
|  | PR & | pr,
|  | SM & | sm,
|  | ST & | st,
|  | int | index |
| ) |  |  |

compute permutation based var imp. (Only an Array of size oob_sample_count x 1 is created.

- apposed to oob_sample_count x feature_count in the other method.

See also:
  FieldProxy

template<class RF, class PR, class SM, class ST>
void visit_after_tree | ( | RF & | rf,
|  | PR & | pr,
|  | SM & | sm,
|  | ST & | st,
|  | int | index |
| ) |  |  |

calculate permutation based impurity after every tree has been learned default behaviour is that this happens out of place. If you have very big data sets and want to avoid copying of data set the in_place_ flag to true.

Reimplemented from VisitorBase.

template<class RF, class PR>
void visit_at_beginning | ( | RF const & | rf,
|  | PR const & | pr |
| ) |  |  |

Allocate enough memory

Reimplemented from VisitorBase.

template<class RF, class PR>
void visit_at_end | ( | RF & | rf,
|  | PR & | pr |
| ) |  |  |

Normalise variable importance after the number of trees is known.

## Member Data Documentation

MultiArray<2, double> cluster_importance_

Corresponding importance measures

MultiArray<2, double> cluster_stdev_

Corresponding error

MultiArray<2, int> variables

List of variables as produced by GetClusterVariables

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_algorithm.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.7.1 (3 Dec 2010)